<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_44"
        android:background="@drawable/shape_white_cor16"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:src="@mipmap/ic_tip_dialog_top_bg"
            app:layout_constraintDimensionRatio="h,816:360"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginEnd="@dimen/dp_10"
            android:padding="@dimen/dp_5"
            android:src="@mipmap/ic_close"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_update_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_17"
            android:layout_marginStart="@dimen/dp_20"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="新版本更新" />

        <TextView
            android:id="@+id/tv_version_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_5"
            android:fontFamily="sans-serif-medium"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_14"
            app:layout_constraintStart_toStartOf="@+id/tv_update_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_update_title"
            tools:text="V2.2.0" />

        <TextView
            android:id="@+id/tv_update_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:lineSpacingExtra="@dimen/dp_5"
            android:maxWidth="@dimen/dp_300"
            android:textColor="@color/color_727686"
            android:layout_marginStart="@dimen/dp_20"
            android:textSize="@dimen/sp_14"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_version_name"
            tools:text="文字描述文字描述文字描述文字描述文字描述文字描述文字描述文字描述" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/cancelBtn"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_26"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_12"
            android:layout_marginBottom="@dimen/dp_20"
            android:gravity="center"
            android:paddingTop="@dimen/dp_10"
            android:paddingBottom="@dimen/dp_10"
            android:text="@string/cancel_txt"
            android:textColor="@color/color_9a9ea7"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_ebf5ff"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/updateBtn"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_update_desc" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/updateBtn"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_26"
            android:layout_marginBottom="@dimen/dp_20"
            android:gravity="center"
            android:paddingTop="@dimen/dp_10"
            android:paddingBottom="@dimen/dp_10"
            android:text="@string/update_txt"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/cancelBtn"
            app:layout_constraintTop_toBottomOf="@id/tv_update_desc"
            app:layout_goneMarginStart="@dimen/dp_26" />

        <ProgressBar
            android:id="@+id/progressbar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="0dp"
            android:layout_height="6dp"
            android:layout_marginStart="25dp"
            android:layout_marginTop="@dimen/dp_40"
            android:layout_marginEnd="25dp"
            android:layout_marginBottom="@dimen/dp_40"
            android:max="100"
            android:progress="0"
            android:progressDrawable="@drawable/layer_progress_z_grey_28"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_update_desc"
            tools:visibility="visible" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_progress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="-9dp"
            android:text="0%"
            android:textColor="@color/color_125ffe"
            android:textSize="8sp"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/progressbar"
            app:layout_constraintEnd_toEndOf="@id/progressbar"
            tools:visibility="visible" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_bg"
        android:layout_width="138dp"
        android:layout_height="138dp"
        android:layout_marginEnd="-8dp"
        android:src="@mipmap/ic_update_top_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>